see https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_Condition.html for full documentation

### Type parameters

- #### T

- #### R

### Hierarchy

- ConditionFunctions

## Index

### Properties

- attributeExists
- attributeNotExists
- beginsWith
- between
- contains
- eq
- equals
- gt
- gte
- in
- lt
- lte
- ne
- notContains
- notNull
- null
- type

## Properties

### attributeExists

attributeExists: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:25

#### Type declaration

- - (): R

  - #### Returns R

### attributeNotExists

attributeNotExists: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:26

#### Type declaration

- - (): R

  - #### Returns R

### beginsWith

beginsWith: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:23

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### between

between: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:24

#### Type declaration

- - (value1: T, value2: T): R

  - #### Parameters

    - ##### value1: T

    - ##### value2: T

    #### Returns R

### contains

contains: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:19

#### Type declaration

- - (value: T | ExtractListType<T>): R

  - #### Parameters

    - ##### value: T | ExtractListType<T>

    #### Returns R

### eq

eq: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:11

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### equals

equals: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:10

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### gt

gt: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:16

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### gte

gte: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:15

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### in

in: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:22

#### Type declaration

- - (value: T[]): R

  - #### Parameters

    - ##### value: T[]

    #### Returns R

### lt

lt: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:14

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### lte

lte: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:13

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### ne

ne: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:12

#### Type declaration

- - (value: T): R

  - #### Parameters

    - ##### value: T

    #### Returns R

### notContains

notContains: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:20

#### Type declaration

- - (value: T | ExtractListType<T>): R

  - #### Parameters

    - ##### value: T | ExtractListType<T>

    #### Returns R

### notNull

notNull: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:18

#### Type declaration

- - (): R

  - #### Returns R

### null

null: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:17

#### Type declaration

- - (): R

  - #### Returns R

### type

type: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:21

#### Type declaration

- - (value: AttributeType): R

  - #### Parameters

    - ##### value: AttributeType

    #### Returns R

Generated using TypeDoc